Class | PathList
In: | lib/facets/more/pathlist.rb
Parent: | Array

# PathList

A Path is an array containing 1..n paths. It is useful to regroup paths and make lookups on them.

## Usage

     path = PathList.new(ENV['PATH'])
     path.find 'env'            #=> "/usr/bin/env"

     # This is already done when including the library
     $:.class                   #=> Array
     $:.extend PathList::Finder
     $:.find_ext = 'rb'

     $:.find 'uri'              #=> "/usr/lib/ruby/1.8/uri.rb"

### Methods

new to_s

### Included Modules

Finder

### Classes and Modules

Module PathList::Finder

### Public Class methods

new(paths, default_ext = nil)

### Public Instance methods

to_s()

[Validate]